//=============================================================================
/*
 * See the file README in the main directory for a description of
 * this software, copyright information, and how to reach the author.
 *
 * Author: alex
 * Date:   16.04.2006
 *
 * Last modfied:
 *   $Author: alex $
 *   $Date: 2013-03-20 19:53:42 +0100 (Mi, 20 Mär 2013) $
 */
//=============================================================================

//=============================================================================
//     includes
//=============================================================================

//----- qt --------------------------------------------------------------------
//----- CORBA -----------------------------------------------------------------
//----- ICE -------------------------------------------------------------------
//----- C++ -------------------------------------------------------------------
//----- C ---------------------------------------------------------------------
//----- AxLib -----------------------------------------------------------------
#include <Ax/Tools/Trace.h>
// #include <Ax/Tools/TraceOn.h>

//----- vdr -------------------------------------------------------------------
//----- local plugin ----------------------------------------------------------
//----- locals ----------------------------------------------------------------
#include "Internal.h"
#include "MsgBody.h"

//=============================================================================
//     using namespaces
//=============================================================================
using namespace std;

//=============================================================================
//     namespaces
//=============================================================================
namespace Ax   {
namespace Mail {

//=============================================================================
//     class MsgBody
//=============================================================================

//-------------------------------------------------------------------------
//     MsgBody::MsgBody()
//-------------------------------------------------------------------------
MsgBody::MsgBody(BODY *theMsgBody)
       : myMsgBody(theMsgBody)
{
} // MsgBody::MsgBody()

//-------------------------------------------------------------------------
//     MsgBody::~MsgBody()
//-------------------------------------------------------------------------
MsgBody::~MsgBody()
{
} // MsgBody::~MsgBody()

//-------------------------------------------------------------------------
//     MsgBody::MsgBody()
//-------------------------------------------------------------------------
MsgBody::MsgBody(const MsgBody &that)
{
  myMsgBody = that.myMsgBody;
} // MsgBody::MsgBody()

//-------------------------------------------------------------------------
//     MsgBody::operator=()
//-------------------------------------------------------------------------
MsgBody &MsgBody::operator=(const MsgBody &that)
{
  if (this != &that)
  {
    myMsgBody = that.myMsgBody;
  } // if

  return *this;
} // MsgBody::operator=()

//-----------------------------------------------------------------------
//     MsgBody::dump()
//-----------------------------------------------------------------------
void MsgBody::dump() const
{
  Internal::dumpMsgBody(myMsgBody);
} // MsgBody::dumpMsgBody()

//=============================================================================
//     namespaces
//=============================================================================
} // Mail
} // Ax
